## CSP_SNAPSHOT_20191015-1.Win32.i686%2Bsse2.7z

=== doc/cotire/CMakeLists.txt ===
# cotire example project

cmake_minimum_required(VERSION 2.8.12)

if (POLICY CMP0058)
	# Ninja requires custom command byproducts to be explicit
	cmake_policy(SET CMP0058 NEW)
endif()

project (CotireExample)

set (CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/CMake")

if (NOT CMAKE_VERSION VERSION_LESS "3.1.0")
	set (CMAKE_CXX_STANDARD "98")
	set (CMAKE_CXX_EXTENSIONS OFF)
endif()

include(cotire)

add_subdirectory(src)

=== source/src/CMakeLists.txt ===
message("* common/common")

#set(CMAKE_BUILD_SETTING_C_FLAGS "${CMAKE_C_FLAGS} -msse2 -msse -mmmx")

add_library(common_emu
	emu.cpp
)
if(USE_DEVICES_SHARED_LIB)
  add_library(common_common
	config.cpp
	debugger.cpp
	)
else()
  add_library(common_common
	common.cpp
	config.cpp
	debugger.cpp
	fileio.cpp
	fifo.cpp
	ringbuffer.cpp
	)
endif()

=== Win32/000_doc/Qt/Makefile ===
#############################################################################
# Makefile for building: qt
# Generated by qmake (3.1) (Qt 5.12.5)
# Project:  qt.pro
# Template: subdirs
# Command: /home/whatisthis/src/qt-everywhere-src-5.12.5/qtbase/bin/qmake -o Makefile qt.pro -- -release -opensource -confirm-license -device-option CROSS_COMPILE=i686-w64-mingw32- -optimized-tools -platform linux-g++ -prefix /usr/local/i586-mingw-msvc/5.12/mingw_82x -xplatform win32-clang-g++ -qt-libpng -qt-libjpeg -qt-freetype -I /usr/local/i586-mingw-msvc/Angle/include -L /usr/local/i586-mingw-msvc/Angle/lib -L /usr/local/i586-mingw-msvc/Angle/bin -I /usr/local/i586-mingw-msvc/SDL/i686-w64-mingw32/include/SDL2 -I /usr/local/i586-mingw-msvc/SDL/i686-w64-mingw32/include -L /usr/local/i586-mingw-msvc/SDL/i686-w64-mingw32/lib -I /usr/local/i586-mingw-msvc/DirectX_June_2010/Include -L /usr/local/i586-mingw-msvc/DirectX_June_2010/Lib/x86 -I /usr/local/i586-mingw-msvc/icu/include -L /usr/local/i586-mingw-msvc/icu/lib -I /usr/local/i586-mingw-msvc/Vulkan/include -I /usr/local/i586-mingw-msvc/Vulkan/include/vulkan -L /usr/local/i586-mingw-msvc/Vulkan/lib -device-option SDL_PREFIX=/usr/local/i586-mingw-msvc/SDL/i686-w64-mingw32 -device-option SDL2_PREFIX=/usr/local/i586-mingw-msvc/SDL/i686-w64-mingw32 -device-option LIBS_SDL2+=SDLmain -device-option ICU_PREFIX=/usr/local/i586-mingw-msvc/icu -device-option VULKAN_PREFIX=/usr/local/i586-mingw-msvc/Vulkan -device-option LIBS_OPENGL_ES2+=GLESv2 -device-option LIBS_OPENGL_ES2+=EGL -device-option LIBEGL_NAME=EGL.dll -device-option LIBGLESV2_NAME=GLESv2.dll -device-option OPENGL_ES2_PREFIX=/usr/local/i586-mingw-msvc/Angle -device-option QMAKE_DXSDK_DIR=/usr/local/i586-mingw-msvc/DirectX_June_2010 -device-option DXSDK_DIR=/usr/local/i586-mingw-msvc/DirectX_June_2010 -opengl dynamic -no-eglfs -no-evr -feature-direct3d9 -feature-vulkan -feature-dxguid -feature-direct3d11 -pkg-config -icu -skip qtactiveqt -skip qtlocation -skip qtwebglplugin -skip qtwebengine -skip qtwebview -nomake tests -c++std c++14
#############################################################################

MAKEFILE      = Makefile

EQ            = =

first: make_first
QMAKE         = /home/whatisthis/src/qt-everywhere-src-5.12.5/qtbase/bin/qmake
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = cp -f
COPY_DIR      = cp -f -R
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = cp -f -R
QINSTALL      = /home/whatisthis/src/qt-everywhere-src-5.12.5/qtbase/bin/qmake -install qinstall
QINSTALL_PROGRAM = /home/whatisthis/src/qt-everywhere-src-5.12.5/qtbase/bin/qmake -install qinstall -exe
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
SUBTARGETS    =  \
		module-qtbase \
		module-qtnetworkauth \
		module-qtmacextras \
		module-qtx11extras \
		module-qtandroidextras \
		module-qtserialport \
		module-qtserialbus \
		module-qtimageformats \
		module-qtsvg \
		module-qtdeclarative \
		module-qtremoteobjects \
		module-qtscxml \
		module-qtpurchasing \
		module-qtcanvas3d \
		module-qtwebsockets \
		module-qtwebchannel \
		module-qtgamepad \
		module-qt3d \
		module-qtwayland \
		module-qtconnectivity \
		module-qtsensors \
		module-qtgraphicaleffects \
		module-qtquickcontrols2 \
		module-qtquickcontrols \
		module-qtxmlpatterns \
		module-qtmultimedia \
		module-qtspeech \
		module-qtvirtualkeyboard \
		module-qtdatavis3d \
		module-qtcharts \
		module-qtwinextras \
		module-qttools \
		module-qtscript \
		module-qttranslations \
		module-qtdoc


module-qtbase-qmake_all:  FORCE
	@test -d qtbase/ || mkdir -p qtbase/
	cd qtbase/ && $(QMAKE) -o Makefile /home/whatisthis/src/qt-everywhere-src-5.12.5/qtbase/qtbase.pro
	cd qtbase/ && $(MAKE) -f Makefile qmake_all
module-qtbase: FORCE
	@test -d qtbase/ || mkdir -p qtbase/
	cd qtbase/ && ( test -e Makefile || $(QMAKE) -o Makefile /home/whatisthis/src/qt-everywhere-src-5.12.5/qtbase/qtbase.pro ) && $(MAKE) -f Makefile
module-qtbase-make_first: FORCE
	@test -d qtbase/ || mkdir -p qtbase/
	cd qtbase/ && ( test -e Makefile || $(QMAKE) -o Makefile /home/whatisthis/src/qt-everywhere-src-5.12.5/qtbase/qtbase.pro ) && $(MAKE) -f Makefile 
module-qtbase-all: FORCE
	@test -d qtbase/ || mkdir -p qtbase/
	cd qtbase/ && ( test -e Makefile || $(QMAKE) -o Makefile /home/whatisthis/src/qt-everywhere-src-5.12.5/qtbase/qtbase.pro ) && $(MAKE) -f Makefile all
module-qtbase-clean: FORCE
	@test -d qtbase/ || mkdir -p qtbase/
	cd qtbase/ && ( test -e Makefile || $(QMAKE) -o Makefile /home/whatisthis/src/qt-everywhere-src-5.12.5/qtbase/qtbase.pro ) && $(MAKE) -f Makefile clean
module-qtbase-distclean: FORCE
	@test -d qtbase/ || mkdir -p qtbase/
	cd qtbase/ && ( test -e Makefile || $(QMAKE) -o Makefile /home/whatisthis/src/qt-everywhere-src-5.12.5/qtbase/qtbase.pro ) && $(MAKE) -f Makefile distclean
module-qtbase-install_subtargets: FORCE
	@test -d qtbase/ || mkdir -p qtbase/
	cd qtbase/ && ( test -e Makefile || $(QMAKE) -o Makefile /home/whatisthis/src/qt-everywhere-src-5.12.5/qtbase/qtbase.pro ) && $(MAKE) -f Makefile install
module-qtbase-uninstall_subtargets: FORCE
	@test -d qtbase/ || mkdir -p qtbase/
	cd qtbase/ && ( test -e Makefile || $(QMAKE) -o Makefile /home/whatisthis/src/qt-everywhere-src-5.12.5/qtbase/qtbase.pro ) && $(MAKE) -f Makefile uninstall
module-qtnetworkauth-qmake_all: module-qtbase-qmake_all FORCE
	@test -d qtnetworkauth/ || mkdir -p qtnetworkauth/
	cd qtnetworkauth/ && $(QMAKE) -o Makefile /home/whatisthis/src/qt-everywhere-src-5.12.5/qtnetworkauth/qtnetworkauth.pro
	cd qtnetworkauth/ && $(MAKE) -f Makefile qmake_all
module-qtnetworkauth: module-qtbase FORCE
	@test -d qtnetworkauth/ || mkdir -p qtnetworkauth/
	cd qtnetworkauth/ && ( test -e Makefile || $(QMAKE) -o Makefile /home/whatisthis/src/qt-everywhere-src-5.12.5/qtnetworkauth/qtnetworkauth.pro ) && $(MAKE) -f Makefile
module-qtnetworkauth-make_first: module-qtbase-make_first FORCE
	@test -d qtnetworkauth/ || mkdir -p qtnetworkauth/
	cd qtnetworkauth/ && ( test -e Makefile || $(QMAKE) -o Makefile /home/whatisthis/src/qt-everywhere-src-5.12.5/qtnetworkauth/qtnetworkauth.pro ) && $(MAKE) -f Makefile 
module-qtnetworkauth-all: module-qtbase-all FORCE
	@test -d qtnetworkauth/ || mkdir -p qtnetworkauth/
	cd qtnetworkauth/ && ( test -e Makefile || $(QMAKE) -o Makefile /home/whatisthis/src/qt-everywhere-src-5.12.5/qtnetworkauth/qtnetworkauth.pro ) && $(MAKE) -f Makefile all
module-qtnetworkauth-clean: module-qtbase-clean FORCE
	@test -d qtnetworkauth/ || mkdir -p qtnetworkauth/
	cd qtnetworkauth/ && ( test -e Makefile || $(QMAKE) -o Makefile /home/whatisthis/src/qt-everywhere-src-5.12.5/qtnetworkauth/qtnetworkauth.pro ) && $(MAKE) -f Makefile clean
module-qtnetworkauth-distclean: module-qtbase-distclean FORCE
	@test -d qtnetworkauth/ || mkdir -p qtnetworkauth/
	cd qtnetworkauth/ && ( test -e Makefile || $(QMAKE) -o Makefile /home/whatisthis/src/qt-everywhere-src-5.12.5/qtnetworkauth/qtnetworkauth.pro ) && $(MAKE) -f Makefile distclean
module-qtnetworkauth-install_subtargets: module-qtbase-install_subtargets FORCE
	@test -d qtnetworkauth/ || mkdir -p qtnetworkauth/
	cd qtnetworkauth/ && ( test -e Makefile || $(QMAKE) -o Makefile /home/whatisthis/src/qt-everywhere-src-5.12.5/qtnetworkauth/qtnetworkauth.pro ) && $(MAKE) -f Makefile install
module-qtnetworkauth-uninstall_subtargets: module-qtbase-uninstall_subtargets FORCE
	@test -d qtnetworkauth/ || mkdir -p qtnetworkauth/
	cd qtnetworkauth/ && ( test -e Makefile || $(QMAKE) -o Makefile /home/whatisthis/src/qt-everywhere-src-5.12.5/qtnetworkauth/qtnetworkauth.pro ) && $(MAKE) -f Makefile uninstall
module-qtmacextras-qmake_all: module-qtbase-qmake_all FORCE
	@test -d qtmacextras/ || mkdir -p qtmacextras/
	cd qtmacextras/ && $(QMAKE) -o Makefile /home/whatisthis/src/qt-everywhere-src-5.12.5/qtmacextras/qtmacextras.pro
	cd qtmacextras/ && $(MAKE) -f Makefile qmake_all
module-qtmacextras: module-qtbase FORCE
	@test -d qtmacextras/ || mkdir -p qtmacextras/
	cd qtmacextras/ && ( test -e Makefile || $(QMAKE) -o Makefile /home/whatisthis/src/qt-everywhere-src-5.12.5/qtmacextras/qtmacextras.pro ) && $(MAKE) -f Makefile
module-qtmacextras-make_first: module-qtbase-make_first FORCE
	@test -d qtmacextras/ || mkdir -p qtmacextras/
	cd qtmacextras/ && ( test -e Makefile || $(QMAKE) -o Makefile /home/whatisthis/src/qt-everywhere-src-5.12.5/qtmacextras/qtmacextras.pro ) && $(MAKE) -f Makefile 
module-qtmacextras-all: module-qtbase-all FORCE
	@test -d qtmacextras/ || mkdir -p qtmacextras/
	cd qtmacextras/ && ( test -e Makefile || $(QMAKE) -o Makefile /home/whatisthis/src/qt-everywhere-src-5.12.5/qtmacextras/qtmacextras.pro ) && $(MAKE) -f Makefile all
module-qtmacextras-clean: module-qtbase-clean FORCE
	@test -d qtmacextras/ || mkdir -p qtmacextras/
	cd qtmacextras/ && ( test -e Makefile || $(QMAKE) -o Makefile /home/whatisthis/src/qt-everywhere-src-5.12.5/qtmacextras/qtmacextras.pro ) && $(MAKE) -f Makefile clean
module-qtmacextras-distclean: module-qtbase-distclean FORCE
	@test -d qtmacextras/ || mkdir -p qtmacextras/
	cd qtmacextras/ && ( test -e Makefile || $(QMAKE) -o Makefile /home/whatisthis/src/qt-everywhere-src-5.12.5/qtmacextras/qtmacextras.pro ) && $(MAKE) -f Makefile distclean
module-qtmacextras-install_subtargets: module-qtbase-install_subtargets FORCE
	@test -d qtmacextras/ || mkdir -p qtmacextras/
	cd qtmacextras/ && ( test -e Makefile || $(QMAKE) -o Makefile /home/whatisthis/src/qt-everywhere-src-5.12.5/qtmacextras/qtmacextras.pro ) && $(MAKE) -f Makefile install
module-qtmacextras-uninstall_subtargets: module-qtbase-uninstall_subtargets FORCE
	@test -d qtmacextras/ || mkdir -p qtmacextras/
	cd qtmacextras/ && ( test -e Makefile || $(QMAKE) -o Makefile /home/whatisthis/src/qt-everywhere-src-5.12.5/qtmacextras/qtmacextras.pro ) && $(MAKE) -f Makefile uninstall
module-qtx11extras-qmake_all: module-qtbase-qmake_all FORCE
	@test -d qtx11extras/ || mkdir -p qtx11extras/
	cd qtx11extras/ && $(QMAKE) -o Makefile /home/whatisthis/src/qt-everywhere-src-5.12.5/qtx11extras/qtx11extras.pro
	cd qtx11extras/ && $(MAKE) -f Makefile qmake_all
module-qtx11extras: module-qtbase FORCE
	@test -d qtx11extras/ || mkdir -p qtx11extras/
	cd qtx11extras/ && ( test -e Makefile || $(QMAKE) -o Makefile /home/whatisthis/src/qt-everywhere-src-5.12.5/qtx11extras/qtx11extras.pro ) && $(MAKE) -f Makefile
module-qtx11extras-make_first: module-qtbase-make_first FORCE
	@test -d qtx11extras/ || mkdir -p qtx11extras/
	cd qtx11extras/ && ( test -e Makefile || $(QMAKE) -o Makefile /home/whatisthis/src/qt-everywhere-src-5.12.5/qtx11extras/qtx11extras.pro ) && $(MAKE) -f Makefile 
module-qtx11extras-all: module-qtbase-all FORCE
	@test -d qtx11extras/ || mkdir -p qtx11extras/
	cd qtx11extras/ && ( test -e Makefile || $(QMAKE) -o Makefile /home/whatisthis/src/qt-everywhere-src-5.12.5/qtx11extras/qtx11extras.pro ) && $(MAKE) -f Makefile all
module-qtx11extras-clean: module-qtbase-clean FORCE
	@test -d qtx11extras/ || mkdir -p qtx11extras/
	cd qtx11extras/ && ( test -e Makefile || $(QMAKE) -o Makefile /home/whatisthis/src/qt-everywhere-src-5.12.5/qtx11extras/qtx11extras.pro ) && $(MAKE) -f Makefile clean
module-qtx11extras-distclean: module-qtbase-distclean FORCE
	@test -d qtx11extras/ || mkdir -p qtx11extras/
	cd qtx11extras/ && ( test -e Makefile || $(QMAKE) -o Makefile /home/whatisthis/src/qt-everywhere-src-5.12.5/qtx11extras/qtx11extras.pro ) && $(MAKE) -f Makefile distclean
module-qtx11extras-install_subtargets: module-qtbase-install_subtargets FORCE
	@test -d qtx11extras/ || mkdir -p qtx11extras/
	cd qtx11extras/ && ( test -e Makefile || $(QMAKE) -o Makefile /home/whatisthis/src/qt-everywhere-src-5.12.5/qtx11extras/qtx11extras.pro ) && $(MAKE) -f Makefile install
module-qtx11extras-uninstall_subtargets: module-qtbase-uninstall_subtargets FORCE
	@test -d qtx11extras/ || mkdir -p qtx11extras/

=== source/build-cmake/babbage2nd/CMakeLists.txt ===
# Build Common Sourcecode Project, Qt.
# (C) 2014 K.Ohta <whatisthis.sowhat@gmail.com>
# This is part of XM7/SDL, but license is apache 2.2,
# this part was written only me.

cmake_minimum_required (VERSION 2.8)
cmake_policy(SET CMP0011 NEW)

message("")
message("** Start of configure CommonSourceProject,Babbage2nd, Qt **")
message("")

project (emubabbage2nd)

set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/../cmake")

set(EXEC_TARGET emubabbage2nd)
set(VM_NAME babbage2nd)
set(USE_FMGEN OFF)
set(WITH_JOYSTICK OFF)
set(WITH_MOUSE ON)

set(FLAG_USE_Z80 ON)
set(VMFILES_BASE
  z80ctc.cpp
  
  io.cpp
  memory.cpp

  event.cpp
)

set(VMFILES_LIB
  z80pio.cpp
)

set(USE_OPENMP ON CACHE BOOL "Build using OpenMP")
set(USE_OPENGL ON CACHE BOOL "Build using OpenGL")
set(WITH_DEBUGGER OFF CACHE BOOL "Build with debugger.")

include(detect_target_cpu)
#include(windows-mingw-cross)
# set entry
set(CMAKE_SYSTEM_PROCESSOR ${ARCHITECTURE} CACHE STRING "Set processor to build.")

set(VMFILES ${VMFILES_BASE})
add_definitions(-D_BABBAGE2ND)
set(RESOURCE ${CMAKE_SOURCE_DIR}/../../src/qt/common/qrc/babbage2nd.qrc)

include(config_commonsource)

=== source/build-cmake/bmjr/CMakeLists.txt ===
# Build Common Sourcecode Project, Qt.
# (C) 2014 K.Ohta <whatisthis.sowhat@gmail.com>
# This is part of XM7/SDL, but license is apache 2.2,
# this part was written only me.

cmake_minimum_required (VERSION 2.8)
cmake_policy(SET CMP0011 NEW)

message("")
message("** Start of configure CommonSourceProject,Hitachi Basic Master Jr., Qt **")
message("")

project (emubmjr)
set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/../cmake")


set(VM_NAME bmjr)
set(EXEC_TARGET emubmjr)
set(USE_FMGEN OFF)

set(VMFILES_BASE
	event.cpp
)
set(VMFILES_LIB
	  noise.cpp
	  datarec.cpp
	  mc6800.cpp
	  mc6820.cpp
)

set(USE_OPENMP ON CACHE BOOL "Build using OpenMP")
set(USE_OPENGL ON CACHE BOOL "Build using OpenGL")
set(WITH_DEBUGGER ON CACHE BOOL "Build with debugger.")

include(detect_target_cpu)
#include(windows-mingw-cross)
# set entry
set(CMAKE_SYSTEM_PROCESSOR ${ARCHITECTURE} CACHE STRING "Set processor to build.")

set(VMFILES ${VMFILES_BASE})
add_definitions(-D_BMJR)
set(RESOURCE ${CMAKE_SOURCE_DIR}/../../src/qt/common/qrc/bmjr.qrc)

include(config_commonsource)

=== source/build-cmake/bubcom80/CMakeLists.txt ===
# Build Common Sourcecode Project, Qt.
# (C) 2014 K.Ohta <whatisthis.sowhat@gmail.com>
# This is part of XM7/SDL, but license is apache 2.2,
# this part was written only me.

cmake_minimum_required (VERSION 2.8)
cmake_policy(SET CMP0011 NEW)

message("")
message("** Start of configure CommonSourceProject,BUBCOM 80, Qt **")
message("")

project (emububcom80)

set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/../cmake")

set(EXEC_TARGET emububcom80)
set(VM_NAME bubcom80)
set(USE_FMGEN OFF)
set(WITH_JOYSTICK OFF)
set(WITH_MOUSE ON)

set(FLAG_USE_Z80 ON)
set(VMFILES_BASE
	io.cpp
	memory.cpp
	event.cpp
)

set(VMFILES_LIB
	ls393.cpp
	mb8877.cpp
	mc6850.cpp
	pcm1bit.cpp
	z80ctc.cpp
)

set(USE_OPENMP ON CACHE BOOL "Build using OpenMP")
set(USE_OPENGL ON CACHE BOOL "Build using OpenGL")
set(WITH_DEBUGGER OFF CACHE BOOL "Build with debugger.")

include(detect_target_cpu)
#include(windows-mingw-cross)
# set entry
set(CMAKE_SYSTEM_PROCESSOR ${ARCHITECTURE} CACHE STRING "Set processor to build.")

set(VMFILES ${VMFILES_BASE})
add_definitions(-D_BUBCOM80)
set(RESOURCE ${CMAKE_SOURCE_DIR}/../../src/qt/common/qrc/bubcom80.qrc)

include(config_commonsource)

=== source/build-cmake/cefucom21/CMakeLists.txt ===
# Build Common Sourcecode Project, Qt.
# (C) 2014 K.Ohta <whatisthis.sowhat@gmail.com>
# This is part of XM7/SDL, but license is apache 2.2,
# this part was written only me.

cmake_minimum_required (VERSION 2.8)
cmake_policy(SET CMP0011 NEW)

message("")
message("** Start of configure CommonSourceProject,Hino Electronics CEFUCOM-21, Qt **")
message("")


project (cefucom21)
set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/../cmake")


set(VM_NAME cefucom21)
set(USE_FMGEN ON)
set(WITH_JOYSTICK ON)
set(WITH_MOUSE OFF)

set(FLAG_USE_Z80 ON)
set(VMFILES
		   mc6847.cpp
		   io.cpp
		   memory.cpp
		   event.cpp
)

set(VMFILES_LIB
	ay_3_891x.cpp
	datarec.cpp
	i8255.cpp
	mc6847_mase.cpp
	not.cpp
	rp5c01.cpp
	z80.cpp
	z80ctc.cpp
	z80pio.cpp
)
set(BUILD_SHARED_LIBS OFF)
set(USE_OPENMP ON CACHE BOOL "Build using OpenMP")
set(USE_OPENGL ON CACHE BOOL "Build using OpenGL")
set(WITH_DEBUGGER ON CACHE BOOL "Build with debugger")

include(detect_target_cpu)
set(CMAKE_SYSTEM_PROCESSOR ${ARCHITECTURE} CACHE STRING "Set processor to build.")

add_definitions(-D_CEFUCOM21)
set(EXEC_TARGET emucefucom21)
set(RESOURCE ${CMAKE_SOURCE_DIR}/../../src/qt/common/qrc/cefucom21.qrc)

include(config_commonsource)

=== source/build-cmake/colecovision/CMakeLists.txt ===
# Build Common Sourcecode Project, Qt.
# (C) 2014 K.Ohta <whatisthis.sowhat@gmail.com>
# This is part of XM7/SDL, but license is apache 2.2,
# this part was written only me.

cmake_minimum_required (VERSION 2.8)
cmake_policy(SET CMP0011 NEW)

message("")
message("** Start of configure CommonSourceProject,COLECO Vision, Qt **")
message("")


project (colecovision)
set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/../cmake")


set(VM_NAME colecovision)
set(USE_FMGEN OFF)
set(WITH_JOYSTICK ON)
set(WITH_MOUSE OFF)

set(FLAG_USE_Z80 ON)
set(VMFILES
		   io.cpp
		   event.cpp
)

set(VMFILES_LIB
		   tms9918a.cpp
  		   sn76489an.cpp
)
set(BUILD_SHARED_LIBS OFF)
set(USE_OPENMP ON CACHE BOOL "Build using OpenMP")
set(USE_OPENGL ON CACHE BOOL "Build using OpenGL")
set(WITH_DEBUGGER ON CACHE BOOL "Build with debugger")

include(detect_target_cpu)
set(CMAKE_SYSTEM_PROCESSOR ${ARCHITECTURE} CACHE STRING "Set processor to build.")

add_definitions(-D_COLECOVISION)
set(EXEC_TARGET emucolecovision)
set(RESOURCE ${CMAKE_SOURCE_DIR}/../../src/qt/common/qrc/colecovision.qrc)

include(config_commonsource)

=== source/build-cmake/ex80/CMakeLists.txt ===
# Build Common Sourcecode Project, Qt.
# (C) 2014 K.Ohta <whatisthis.sowhat@gmail.com>
# This is part of XM7/SDL, but license is apache 2.2,
# this part was written only me.

cmake_minimum_required (VERSION 2.8)
cmake_policy(SET CMP0011 NEW)

message("")
message("** Start of configure CommonSourceProject,EX80, Qt **")
message("")

project (emuex80)

set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/../cmake")

set(EXEC_TARGET emuex80)
set(VM_NAME ex80)
set(USE_FMGEN OFF)
set(WITH_JOYSTICK OFF)
set(WITH_MOUSE ON)

set(VMFILES_BASE
       i8080.cpp
       io.cpp
       event.cpp
)

set(VMFILES_LIB
       i8080_base.cpp
       i8251.cpp
       i8255.cpp
       pcm1bit.cpp
)       
set(USE_OPENMP ON CACHE BOOL "Build using OpenMP")
set(USE_OPENGL ON CACHE BOOL "Build using OpenGL")
set(WITH_DEBUGGER ON CACHE BOOL "Build with debugger.")

include(detect_target_cpu)
#include(windows-mingw-cross)
# set entry
set(CMAKE_SYSTEM_PROCESSOR ${ARCHITECTURE} CACHE STRING "Set processor to build.")

set(VMFILES ${VMFILES_BASE})
add_definitions(-D_EX80)
set(RESOURCE ${CMAKE_SOURCE_DIR}/../../src/qt/common/qrc/ex80.qrc)

include(config_commonsource)

=== source/build-cmake/familybasic/CMakeLists.txt ===
# Build Common Sourcecode Project, Qt.
# (C) 2014 K.Ohta <whatisthis.sowhat@gmail.com>
# This is part of XM7/SDL, but license is apache 2.2,
# this part was written only me.

cmake_minimum_required (VERSION 2.8)
cmake_policy(SET CMP0011 NEW)

message("")
message("** Start of configure CommonSourceProject,EPSON HC 80, Qt **")
message("")

project (emufamilybasic)

set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/../cmake")

set(EXEC_TARGET emufamilybasic)
set(VM_NAME familybasic)
set(USE_FMGEN OFF)
set(WITH_JOYSTICK ON)
set(WITH_MOUSE ON)

set(VMFILES_BASE
       n2a03.cpp
       event.cpp
)

set(VMFILES_LIB
	m6502_base.cpp
	noise.cpp
	datarec.cpp
	ym2413.cpp
)
set(USE_OPENMP ON CACHE BOOL "Build using OpenMP")
set(USE_OPENGL ON CACHE BOOL "Build using OpenGL")
set(WITH_DEBUGGER OFF CACHE BOOL "Build with debugger.")

include(detect_target_cpu)
#include(windows-mingw-cross)
# set entry
set(CMAKE_SYSTEM_PROCESSOR ${ARCHITECTURE} CACHE STRING "Set processor to build.")

set(VMFILES ${VMFILES_BASE})
add_definitions(-D_FAMILYBASIC)
set(RESOURCE ${CMAKE_SOURCE_DIR}/../../src/qt/common/qrc/familybasic.qrc)

include(config_commonsource)

=== source/build-cmake/fm16beta_286/CMakeLists.txt ===
# Build Common Sourcecode Project, Agar.
# (C) 2014 K.Ohta <whatisthis.sowhat@gmail.com>
# This is part of , but license is apache 2.2,
# this part was written only me.

cmake_minimum_required (VERSION 2.8)
cmake_policy(SET CMP0011 NEW)

message("")
message("** Start of configure CommonSourceProject,FM16β(i286), Qt **")
message("")



project (emufm16beta_286)
set(CMAKE_MODULE_PATH "${emufm16beta_286_SOURCE_DIR}/../cmake")


set(EXEC_TARGET emufm16beta_266)
set(VM_NAME fm16beta_286)
set(BUILD_FM16BETA_286 ON CACHE BOOL "Build for FM16Beta, i86 version")

include(config_emufm16beta)
include(config_commonsource)

=== source/build-cmake/fm16beta_86/CMakeLists.txt ===
# Build Common Sourcecode Project, Agar.
# (C) 2014 K.Ohta <whatisthis.sowhat@gmail.com>
# This is part of , but license is apache 2.2,
# this part was written only me.

cmake_minimum_required (VERSION 2.8)
cmake_policy(SET CMP0011 NEW)

message("")
message("** Start of configure CommonSourceProject,FM16β(i86), Qt **")
message("")



project (emufm16beta_86)
set(CMAKE_MODULE_PATH "${emufm16beta_86_SOURCE_DIR}/../cmake")


set(EXEC_TARGET emufm16beta_86)
set(VM_NAME fm16beta_86)
set(BUILD_FM16BETA_86 ON CACHE BOOL "Build for FM16Beta, i86 version")

include(config_emufm16beta)
include(config_commonsource)

=== Win32/000_doc/libogg/debian/changelog ===
libogg (1.3.2-1) unstable; urgency=low

  * Fixes a bug with oggpack_writecopy() buffer reallocation.
  * Updated autotools boilerplate for new arches.  Closes: #744721
  * Trim the blacklist of arches where stack protector is broken.

 -- Ron Lee <ron@debian.org>  Thu, 29 May 2014 04:11:14 +0930

libogg (1.3.1-1) unstable; urgency=low

  * Fix the hardening LDFLAGS.
  * Guard against very large packets.
  * Numerous documentation fixes, including actually installing all of them
    and repairing a number of broken links.  Given that this has never been
    reported upstream or to Debian, we now have an estimate of the number of
    developers and users who actually read them ...

 -- Ron Lee <ron@debian.org>  Sun, 12 May 2013 06:08:18 +0930

libogg (1.3.0-4) unstable; urgency=low

  * Tweak config_types.h to compensate for multi-arch insamity.
    Closes: #675887

 -- Ron Lee <ron@debian.org>  Sat, 09 Jun 2012 04:56:30 +0930

libogg (1.3.0-3) unstable; urgency=low

  * Build for multi-arch.  Closes: #637576

 -- Ron Lee <ron@debian.org>  Sun, 03 Jun 2012 05:45:35 +0930

libogg (1.3.0-2) unstable; urgency=low

  * Build with 'hardening' flags enabled.  Closes: #673668

 -- Ron Lee <ron@debian.org>  Tue, 22 May 2012 05:50:46 +0930

libogg (1.3.0-1) unstable; urgency=low

  * Adds ogg_stream_flush_fill().
  * Restore the RFCs to the package.  We've always had permission for RFC 5334,
    it's stated explicitly in Section 12 of the text.  We apparently also had
    previously been given permission for RFC 3533 too - but somehow the record
    of that had been lost.  We have an explicit grant from Silvia noted in the
    copyright file now.  Reading and asking trumps over-zealotry.
  * Add build-arch and build-indep targets to debian/rules.

 -- Ron Lee <ron@debian.org>  Sun, 20 May 2012 23:34:05 +0930

libogg (1.2.2~dfsg-1) unstable; urgency=low

  * Adds ogg_stream_pageout_fill().
  * Fixes for large packets on 32bit systems.
  * More documentation updates.

 -- Ron Lee <ron@debian.org>  Sun, 08 May 2011 04:06:51 +0930

libogg (1.2.0~dfsg-1) unstable; urgency=low

  * Alter default flushing behavior to span less often and use larger page
    sizes when packet sizes are large.
  * Documentation updates.
  * Closes: #575675 (wish for new upstream release)

 -- Ron Lee <ron@debian.org>  Sat, 10 Apr 2010 23:23:54 +0930

libogg (1.1.4~dfsg-2) unstable; urgency=low

  * Add a -dbg package.  Closes: #516663
  * Keep dpkg-buildpackage out of our build flags.  There is no reason to think
    that it knows any better than upstream how hard or what should be optimised
    in this package.

 -- Ron Lee <ron@debian.org>  Sat, 19 Dec 2009 08:12:06 +1030

libogg (1.1.4~dfsg-1) unstable; urgency=low

  * New upstream release.
  * Adopt this package, with the blessing of Clint.  Thanks.
  * Enable parallel builds, and automatically fork to the number of CPUs
    present unless told otherwise.
  * Don't mangle config.{sub,guess} at build time, leave the package source
    dir pristine as it was first packed.  But update them to the current
    versions now.  Drop the dependency on autotools-dev.
  * Support nostrip in DEB_BUILD_OPTIONS
  * Clean out a bunch of dh_* goop that we aren't actually using.
  * Simplify the *.install, drop the .la
  * Drop the dependency on quilt.  For the tiny little patches we are carrying
    it's overkill and better done in git anyhow.  Most of them should be passed
    upstream, and the RFC's we'll hopefully have relicenced soon and will be
    able to drop those too.

 -- Ron Lee <ron@debian.org>  Sun, 02 Aug 2009 10:00:26 +0930

libogg (1.1.3-5) unstable; urgency=low

  * Remove myself from Uploaders.

 -- Clint Adams <schizo@debian.org>  Fri, 27 Feb 2009 20:15:55 -0500

libogg (1.1.3-4) unstable; urgency=low

  * Bump to Standards-Version 3.8.0.
  * Refresh external_rfc_links.diff to -p ab.  closes: #485255.
  * Add doc_links.diff from Martin Pitt to fix HTML link to ogg/ subdir.
    closes: #463164.

 -- Clint Adams <schizo@debian.org>  Mon, 09 Jun 2008 20:38:54 -0400

libogg (1.1.3-3) unstable; urgency=low

  * Use dpkg-gensymbols, generating symbol files from packages in
    snapshot.debian.net since Mole only offers symbols for the last version.

  * Misc changes to debian/control:
    + add Vcs-Bzr header.
    + remove Christopher from Uploaders.
    + do not make libogg-dev Depend: on libc6-dev.
    + use ${binary:Version} instead of ${Source-Version}.

  * Other changes:
    + bump debian/compat to 5.
    + use /usr/share/quilt/quilt.make.
    + remove emacs cruft from changelog.
    + bump Standards-Version to 3.7.3 (no changes needed).

 -- Adeodato Simó <dato@net.com.org.es>  Thu, 27 Dec 2007 12:56:00 +0100

libogg (1.1.3-2) unstable; urgency=low

  * Unbreak shlibs (bad argument to dh_makeshlibs; stick to plain -V).

  * Install CHANGES from tarball as upstream changelog.

 -- Adeodato Simó <dato@net.com.org.es>  Fri, 20 Jan 2006 02:56:23 +0100

libogg (1.1.3-1) unstable; urgency=low

  * Switch maintenance to the Debian Xiph.org Maintainers (alioth/pkg-xiph).

  * New upstream release packaged. (Closes: #342577)

    As noted in README.Debian-source, the files rfc3533.txt and rfc3534.txt
    have been removed from the doc/ subdirectory for their non-free license.

  * Move HTML documentation from /usr/share/doc/libogg-dev itself to an html/
    subdirectory of it. As it happens, this closes: #300680.

  * Update debian/control:
    + drop unnecessary build-dependencies on gawk and devscripts.
    + drop version restriction on debhelper build-dependency, since it's
      already satisfied with stable.

  * Overhaul debian/rules, and switch to quilt for patch management. (This
    closes: #347418, FTBFS with the previous rules file and the new make.)

  * Add debian/compat file, instead of exporting DH_COMPAT.

  * debian/patches:
    + external_rfc_links.diff: patch HTML documentation to reference external


=== Win32/000_doc/x264/doc/debian/changelog ===
x264-dmo (4:0.158.2984+git3759fcb-dmo1) unstable; urgency=medium

  * New git snapshot.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 17 Jul 2019 22:53:38 +0200

x264-dmo (4:0.157.2969+gitd4099dd-dmo1) unstable; urgency=medium

  * New git snapshot.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 13 Mar 2019 10:27:37 +0100

x264-dmo (4:0.157.2945+git72db437-dmo1) unstable; urgency=medium

  * New git snapshot.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 12 Mar 2019 01:02:23 +0100

x264-dmo (4:0.157.2935+git545de2f-dmo1) unstable; urgency=medium

  * New git snapshot.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 25 Sep 2018 14:37:08 +0200

x264-dmo (3:0.157.2946+gitd8180b8-dmo1) unstable; urgency=medium

  * New git snapshot.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 29 Aug 2018 09:53:09 +0200

x264-dmo (3:0.155.2901+git7d0ff22-dmo3) unstable; urgency=medium

  * Rebuild against ffmpeg 4.0

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 04 Jun 2018 13:59:07 +0200

x264-dmo (3:0.155.2901+git7d0ff22-dmo2) unstable; urgency=medium

  * Rebuild to fix a "stack smashing detected" crash (Thanks to Kyuma Ohta
    for the bug report).

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 13 Feb 2018 08:14:16 +0100

x264-dmo (3:0.155.2901+git7d0ff22-dmo1) unstable; urgency=medium

  * New git snapshot.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 18 Jan 2018 23:54:08 +0100

x264-dmo (3:0.155.2893+gitb00bcaf-dmo1) unstable; urgency=medium

  * New git snapshot.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 26 Dec 2017 08:40:59 +0100

x264-dmo (3:0.152.2851+gitba24899-dmo2) unstable; urgency=medium

  * Fix build for mips64el architecture.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 17 Nov 2017 10:59:42 +0100

x264-dmo (3:0.152.2851+gitba24899-dmo1) unstable; urgency=medium

  * New git snapshot.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 27 Jun 2017 08:40:19 +0200

x264-dmo (3:0.150.2833+gitdf79067-dmo1) unstable; urgency=medium

  * New git snapshot.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 23 May 2017 18:49:52 +0200

x264-dmo (3:0.148.2762+git90a61ec-dmo1) unstable; urgency=medium

  * New git snapshot.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 25 Jan 2017 08:22:57 +0100

x264-dmo (3:0.148.2744+gitb97ae06-dmo1) unstable; urgency=medium

  * New git snapshot.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 02 Dec 2016 01:09:18 +0100

x264-dmo (3:0.148.2721+git72d53ab-dmo1) unstable; urgency=medium

  * New git snapshot.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 21 Sep 2016 08:38:02 +0200

x264-dmo (3:0.148.2705+git3f5ed56-dmo1) unstable; urgency=medium

  * New git snapshot.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 13 Jun 2016 23:56:06 +0200

x264-dmo (3:0.148.2694+git3b70645-dmo1) unstable; urgency=medium

  * New git snapshot.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 21 Apr 2016 00:53:09 +0200

x264-dmo (3:0.148.2691+git00597d7-dmo1) unstable; urgency=medium

  * New git snapshot.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 13 Apr 2016 08:14:08 +0200

x264-dmo (3:0.148.2665+gita01e339-dmo3) unstable; urgency=medium

  * Added 10bit library and a binary wrapper from Debian.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 03 Mar 2016 08:24:52 +0100

x264-dmo (3:0.148.2665+gita01e339-dmo2) unstable; urgency=medium

  * Rebuild against ffmpeg 3.0 libraries.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 25 Feb 2016 15:14:51 +0100

x264-dmo (3:0.148.2665+gita01e339-dmo1) unstable; urgency=medium

  * New git snapshot.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 19 Jan 2016 00:23:02 +0100

x264-dmo (3:0.148.2664+git1e4a24f-dmo1) unstable; urgency=medium

  * New git snapshot.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 18 Jan 2016 08:54:34 +0100

x264-dmo (3:0.148.2638+git7599210-dmo1) unstable; urgency=medium

  * New git snapshot.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 12 Oct 2015 08:12:50 +0200

x264-dmo (3:0.148.2597+gite86f3a1-dmo1) unstable; urgency=medium

  * New git snapshot.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 20 Aug 2015 08:19:44 +0200

x264-dmo (3:0.148.2579+git73ae2d1-dmo1) unstable; urgency=medium

  * New git snapshot.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 27 Jul 2015 00:40:25 +0200

x264-dmo (3:0.146.2538+git121396c-dmo2) unstable; urgency=medium

  * Rebuild against libffms2-4

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 17 May 2015 10:23:20 +0200

x264-dmo (3:0.146.2538+git121396c-dmo1) unstable; urgency=medium

  * New git snapshot.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 25 Feb 2015 07:59:38 +0100

x264-dmo (3:0.144.2525+git40bb568-dmo1) unstable; urgency=medium

  * New git snapshot.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 21 Dec 2014 00:18:19 +0100

x264-dmo (3:0.142.2491+git24e4fed-dmo1) unstable; urgency=medium

  * New git snapshot.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 13 Nov 2014 16:06:32 +0100

x264-dmo (3:0.142.2479+gitdd79a61-dmo3) unstable; urgency=medium

  * Rebuild against liblsmash2

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 06 Nov 2014 20:28:34 +0100

x264-dmo (3:0.142.2479+gitdd79a61-dmo2) unstable; urgency=medium

  * Rebuild against ffmpeg 2.4

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 26 Sep 2014 09:11:29 +0200

x264-dmo (3:0.142.2479+gitdd79a61-dmo1) unstable; urgency=medium

  * New git snapshot.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 26 Aug 2014 19:08:03 +0200

x264-dmo (3:0.142.2452+git08d36b3-dmo1) unstable; urgency=medium

  * New git snapshot.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 20 Jul 2014 12:52:35 +0200



=== Win32/000_doc/libogg/debian/control ===
Source: libogg
Section: libs
Priority: optional
Maintainer: Ron Lee <ron@debian.org>
Build-Depends: debhelper (>= 8.1.3)
Standards-Version: 3.9.5.0
Homepage: http://xiph.org/ogg/
Vcs-Git: git://git.debian.org/users/ron/libogg.git
Vcs-Browser: http://git.debian.org/?p=users/ron/libogg.git;a=summary

Package: libogg0
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}
Description: Ogg bitstream library
 Libogg is a library for manipulating ogg bitstreams.  It handles
 both making ogg bitstreams and getting packets from ogg bitstreams.

Package: libogg-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libogg0 (= ${binary:Version})
Description: Ogg bitstream library development files
 The libogg-dev package contains the header files and documentation
 needed to develop applications with libogg.

Package: libogg-dbg
Architecture: any
Multi-Arch: same
Section: debug
Priority: extra
Depends: libogg0 (= ${binary:Version})
Description: debugging symbols for libogg
 This package provides the detached debug symbols for libogg.

=== Win32/000_doc/x264/doc/debian/control ===
Source: x264-dmo
Section: libs
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: http://www.videolan.org/developers/x264.html
Standards-Version: 4.4.0
Build-Depends: debhelper-compat (= 12), libffms2-dev (>= 2.21), help2man,
 liblsmash-dev (>= 2.3.0~), nasm (>= 2.13~) [any-amd64 any-i386],
 libswscale-dev, bash-completion

Package: x264
Section: graphics
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: x264-bin
Replaces: x264-bin
Description: Video encoder for the H.264/MPEG-4 AVC standard
 x264 is an advanced commandline encoder for creating H.264 (MPEG-4 AVC)
 video streams.
 .
 x264 supports the following features:
  * CABAC (context-based adaptive binary arithmetic coding) and CAVLC
    (context-based adaptive variable length coding
  * multiple reference frames
  * 16x16, 8x8 and 4x4 intra-predicted macroblocks
  * all P-frame inter-predicted macroblock types
  * B-Inter-predicted macroblock types from 16x16 down to 8x8
  * rate distortion optimization
  * multiple rate control modes (constant quantizer, constant quality, single
    or multipass ABR with the option of VBV)
  * scene cut detection
  * adaptive B-frame placement, with the option of keeping B-frames as
    references / arbitrary frame order
  * 8x8 and 4x4 adaptive spatial transform (high profile)
  * lossless mode (high 4:4:4 profile)
  * custom quantization matrices (high profile)
  * parallel encoding on multiple CPUs
  * interlaced streams

Package: libx264-158
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: x264 video coding library
 libx264 is an advanced encoding library for creating H.264 (MPEG-4 AVC)
 video streams.
 .
 This package contains the libx264 shared library.

Package: libx264-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libx264-158 (= ${binary:Version}), ${misc:Depends}, pkg-config
Description: Development files for libx264
 libx264 is an advanced encoding library for creating H.264 (MPEG-4 AVC)
 video streams.
 .
 This package contains the static library and headers used to build programs
 that use libx264.

=== Win32/000_doc/x264/doc/debian/rules ===
#!/usr/bin/make -f

ifneq (,$(filter mips mipsel mips64el,$(DEB_HOST_GNU_CPU)))
	confflags=--disable-asm
endif

ifeq "$(DEB_HOST_ARCH)" "arm64"
	EXTRA_LDFLAGS=-Wl,-fuse-ld=gold
	EXTRA_CFLAGS=-fuse-ld=gold
endif

%:
	dh $@ --with bash-completion

override_dh_auto_configure:
	./configure --prefix=/usr --host=$(DEB_HOST_GNU_TYPE) \
	--enable-debug --enable-static --disable-lavf --enable-shared \
	--disable-avs --enable-pic --system-libx264 \
	--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
	--extra-ldflags="-Wl,-z,defs -Wl,--as-needed $(EXTRA_LDFLAGS)" $(confflags) --extra-cflags=$(EXTRA_CFLAGS)

#	exit 1



override_dh_install:

ifeq "$(DEB_BUILD_ARCH)" "amd64"
	LD_LIBRARY_PATH=$(CURDIR):$(LD_LIBRARY_PATH) help2man -N --help-option=--fullhelp --name="video encoder for the H.264/MPEG-4 AVC standard" ./x264  > debian/x264.1
endif

	dh_install

override_dh_auto_clean:
	touch config.mak

	dh_auto_clean
